# FoundationClasses
TKernel
Units

# Units_SequenceNodeOfStrgSequence Class Reference

`#include <Units_SequenceNodeOfStrgSequence.hxx>`

Inheritance diagram for Units_SequenceNodeOfStrgSequence:

[legend]

## Public Member Functions

| Units_SequenceNodeOfStrgSequence (const Handle(TCollection_HAsciiString)&I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Handle_TCollection_HAsciiString & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myValue

## Constructor & Destructor Documentation

Units_SequenceNodeOfStrgSequence::Units_SequenceNodeOfStrgSequence | ( | const Handle(TCollection_HAsciiString)& | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const Units_SequenceNodeOfStrgSequence::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

Handle_TCollection_HAsciiString& Units_SequenceNodeOfStrgSequence::Value | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString Units_SequenceNodeOfStrgSequence::myValue `[private]`

The documentation for this class was generated from the following file:

- Units_SequenceNodeOfStrgSequence.hxx